[[funkwhale]]

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
funkwhale [2019/02/14 16:11]
simon [Upgrade]
funkwhale [2019/02/15 12:24] (Version actuelle)
simon
Ligne 1: Ligne 1:
 ====== Funkwhale ====== ====== Funkwhale ======
-===== Prérequis ====+===== Prérequis ​=====
 [[git]], [[docker]], [[docker-compose]],​ ... [[git]], [[docker]], [[docker-compose]],​ ...
  
Ligne 164: Ligne 164:
 2538b8b54dff ​       funkwhale-arm:​0.18.2 ​  "/​init" ​            5 seconds ago       Up 3 seconds ​       0.0.0.0:​5000->​80/​tcp ​  ​funkwhale 2538b8b54dff ​       funkwhale-arm:​0.18.2 ​  "/​init" ​            5 seconds ago       Up 3 seconds ​       0.0.0.0:​5000->​80/​tcp ​  ​funkwhale
 </​code>​ </​code>​
 +
 +===== Problèmes rencontrés =====
 +==== Fédération ====
 +La fédération ne fonctionne pas pour l'​instant et j'ai cette erreur en boucle quand je regarde les locks du containers : 
 +<code bash>
 +$ docker logs funkwhale
 +</​code>​
 +<​hidden>​
 +<code bash>
 +cryptography.exceptions.InvalidSignature
 +2019-02-15 10:​40:​07,​004 ERROR    Internal Server Error: /​federation/​shared/​inbox
 +Traceback (most recent call last):
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 50, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +
 +During handling of the above exception, another exception occurred:
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​exception.py",​ line 34, in inner
 +    response = get_response(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 126, in _get_response
 +    response = self.process_exception_by_middleware(e,​ request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 124, in _get_response
 +    response = wrapped_callback(request,​ *callback_args,​ **callback_kwargs)
 +  File "/​usr/​lib/​python3.6/​contextlib.py",​ line 52, in inner
 +    return func(*args, **kwds)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​views/​decorators/​csrf.py",​ line 54, in wrapped_view
 +    return view_func(*args,​ **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​viewsets.py",​ line 116, in view
 +    return self.dispatch(request,​ *args, **kwargs)
 +  File "​./​funkwhale_api/​federation/​views.py",​ line 18, in dispatch
 +    return super().dispatch(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 495, in dispatch
 +    response = self.handle_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 455, in handle_exception
 +    self.raise_uncaught_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 483, in dispatch
 +    self.initial(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 400, in initial
 +    self.perform_authentication(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 326, in perform_authentication
 +    request.user
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 223, in user
 +    self._authenticate()
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 376, in _authenticate
 +    user_auth_tuple = authenticator.authenticate(self)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 64, in authenticate
 +    actor = self.authenticate_actor(request)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 58, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +2019-02-15 10:​41:​10,​567 ERROR    Internal Server Error: /​federation/​shared/​inbox
 +Traceback (most recent call last):
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 50, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +
 +During handling of the above exception, another exception occurred:
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​exception.py",​ line 34, in inner
 +    response = get_response(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 126, in _get_response
 +    response = self.process_exception_by_middleware(e,​ request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 124, in _get_response
 +    response = wrapped_callback(request,​ *callback_args,​ **callback_kwargs)
 +  File "/​usr/​lib/​python3.6/​contextlib.py",​ line 52, in inner
 +    return func(*args, **kwds)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​views/​decorators/​csrf.py",​ line 54, in wrapped_view
 +    return view_func(*args,​ **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​viewsets.py",​ line 116, in view
 +    return self.dispatch(request,​ *args, **kwargs)
 +  File "​./​funkwhale_api/​federation/​views.py",​ line 18, in dispatch
 +    return super().dispatch(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 495, in dispatch
 +    response = self.handle_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 455, in handle_exception
 +    self.raise_uncaught_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 483, in dispatch
 +    self.initial(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 400, in initial
 +    self.perform_authentication(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 326, in perform_authentication
 +    request.user
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 223, in user
 +    self._authenticate()
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 376, in _authenticate
 +    user_auth_tuple = authenticator.authenticate(self)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 64, in authenticate
 +    actor = self.authenticate_actor(request)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 58, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +2019-02-15 10:​41:​30,​683 ERROR    Internal Server Error: /​federation/​shared/​inbox
 +Traceback (most recent call last):
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 50, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +
 +During handling of the above exception, another exception occurred:
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​exception.py",​ line 34, in inner
 +    response = get_response(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 126, in _get_response
 +    response = self.process_exception_by_middleware(e,​ request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​core/​handlers/​base.py",​ line 124, in _get_response
 +    response = wrapped_callback(request,​ *callback_args,​ **callback_kwargs)
 +  File "/​usr/​lib/​python3.6/​contextlib.py",​ line 52, in inner
 +    return func(*args, **kwds)
 +  File "/​usr/​lib/​python3.6/​site-packages/​django/​views/​decorators/​csrf.py",​ line 54, in wrapped_view
 +    return view_func(*args,​ **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​viewsets.py",​ line 116, in view
 +    return self.dispatch(request,​ *args, **kwargs)
 +  File "​./​funkwhale_api/​federation/​views.py",​ line 18, in dispatch
 +    return super().dispatch(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 495, in dispatch
 +    response = self.handle_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 455, in handle_exception
 +    self.raise_uncaught_exception(exc)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 483, in dispatch
 +    self.initial(request,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 400, in initial
 +    self.perform_authentication(request)
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​views.py",​ line 326, in perform_authentication
 +    request.user
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 223, in user
 +    self._authenticate()
 +  File "/​usr/​lib/​python3.6/​site-packages/​rest_framework/​request.py",​ line 376, in _authenticate
 +    user_auth_tuple = authenticator.authenticate(self)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 64, in authenticate
 +    actor = self.authenticate_actor(request)
 +  File "​./​funkwhale_api/​federation/​authentication.py",​ line 58, in authenticate_actor
 +    signing.verify_django(request,​ actor.public_key.encode("​utf-8"​))
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 82, in verify_django
 +    return verify(request,​ public_key)
 +  File "​./​funkwhale_api/​federation/​signing.py",​ line 44, in verify
 +    request, key_resolver=lambda **kwargs: public_key, use_auth_header=False
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 137, in verify
 +    Crypto(sig_struct["​algorithm"​]).verify(sig,​ sts, key)
 +  File "/​usr/​lib/​python3.6/​site-packages/​requests_http_signature/​__init__.py",​ line 40, in verify
 +    key.verify(signature,​ string_to_sign,​ self.PKCS1v15(),​ hasher)
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 477, in verify
 +    self._backend,​ padding, algorithm, self, signature, data
 +  File "/​usr/​lib/​python3.6/​site-packages/​cryptography/​hazmat/​backends/​openssl/​rsa.py",​ line 272, in _rsa_sig_verify
 +    raise InvalidSignature
 +cryptography.exceptions.InvalidSignature
 +</​code>​
 +</​hidden>​
  • funkwhale.txt
  • Dernière modification: 2019/02/15 12:24
  • par simon